package geometria;

public class Rettangolo
extends Quadrilatero
{
	//evitare di fare l'override/overwrite degli attributi
	//double[] lati

	public Rettangolo(double b, double h)
	{
		super(b, h, b, h);
		//meglio dell'override dell'attributo, ma comunque pericoloso: rompe perimetro e toString della classe madre
		/*
		lati = new double[2];
		lati[0] = b;
		lati[1] = h;
		*/
		//lati[0] = lati[2] = b;
		//lati[1] = lati[3] = h;
	}

	public double area()
	{
		return lati[0] * lati[1];
	}

	public String toString()
	{
		return super.toString() + " ma piu' precisamente, io sono un rettangolo di base " + lati[0] + " e altezza " + lati[1];
	}

	public static void main(String[] argv)
	{
		Quadrilatero r = new Rettangolo(Double.parseDouble(argv[0]), Double.parseDouble(argv[1]));
		//Quadrilatero r = new Quadrilatero(Double.parseDouble(argv[0]), Double.parseDouble(argv[1]), 5, 6);
		System.out.println(r);
		System.out.println(r.perimetro());
		//Rettangolo r2 = (Rettangolo)r;
		System.out.println(r.area());
		Object o = r;
		System.out.println(r);
	}
}
