package scaffali;

public class Pubblicazione
{
	//tutte le informazioni che contraddistinguono una pubblicazione
	private int spessore;
	private String titolo;
	/**
	*Spessore minimo dichiarato per una pubblicazione in mm.
	*/
	public static final int minSpes = 5;

	public Pubblicazione(int s, String t)
	{
		/**
		* Spessore della pubblicazione in millimetri.
		*/
		spessore = s;
		titolo = t;
	}

	public int getSpessore()
	{
		return spessore;
	}

	public String getTitolo()
	{
		return titolo;
	}

	/*
	public int getMinSpessore()
	{
		return minSpes;
	}
	*/

	public String toString()
	{
		return "Io sono una pubblicazione di Titolo " + titolo + " spessa " + spessore + " mm";
	}

	public void serializzati(java.io.PrintWriter pw)
	{
		pw.println(titolo);
		pw.println(spessore);
	}

	public static void main(String[] argv)
	{
		Pubblicazione p = new Pubblicazione(5, argv[0]);
		System.out.println(p);
	}
}
